> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Token Transparency Reports

> Returns a paginated list of token transparency framework reports with scores across four key categories.



## OpenAPI

````yaml /openapi.json get /v1/transparency
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/transparency:
    get:
      tags:
        - transparency
      summary: List Token Transparency Reports
      description: >-
        Returns a paginated list of token transparency framework reports with
        scores across four key categories.
      operationId: TransparencyController_list_v1
      parameters:
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 2147483647
            default: 1
            type: integer
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 100
            type: integer
        - name: expand
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - asset
        - name: query
          required: false
          in: query
          schema:
            maxLength: 65535
            format: json
            type: string
        - name: order_by
          required: false
          in: query
          schema:
            default: id
            type: string
        - name: order_dir
          required: false
          in: query
          schema:
            default: asc
            enum:
              - asc
              - desc
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: e21bc8c9-53e9-43c5-a8a0-d253eff46850
              example:
                data:
                  - id: 1
                    asset_id: 345426
                    summary: ''
                    created_at: 1755624545
                    updated_at: 1758051174
                    project_team:
                      rating: 10
                      max: 10
                    token_allocation:
                      rating: 17
                      max: 18
                    market_structure:
                      rating: 7
                      max: 7
                    financial_disclosure:
                      rating: 4
                      max: 5
                total: 27
                page: 1
        '400':
          description: Bad Request
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````